package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SystemUserScenePO;
import api.common.pojo.vo.scene.UserSceneVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface SystemUserSceneMapper {

    void saveSystemUserScene(List<SystemUserScenePO> list);

    List<SystemUserScenePO> querySystemUserScene(SystemUserScenePO po);

    //场景列表展示时使用根据人查包
    List<String> querySystemUserSceneByUserId(SystemUserScenePO po);
    //场景列表展示时使用根据包查人
    List<UserSceneVO> queryUserByPackageId(String packageId);

    //场景删除时关联删除关系表
    void deleteSystemUserScene(SystemUserScenePO po);

    //场景删除时关联删除关系表
    void deleteSystemUserSceneList(List<SystemUserScenePO> list);

}
